Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search
Class IndexException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.slide.common.SlideException
                  org.apache.slide.search.IndexException

All Implemented Interfaces:
  java.io.Serializable

public class IndexException
extends SlideException

Generic search exception.

Version:
  $Revision: 1.2 $
See Also:
  Serialized Form

Field Summary
`(package private) java.lang.Throwable` | `rootCause`

Fields inherited from class java.lang.Exception
``

Constructor Summary
`IndexException(java.lang.String message)` Constructor.
`IndexException(java.lang.String message, java.lang.Throwable t)` Constructor.
`IndexException(java.lang.Throwable t)` Constructor.

Method Summary
`java.lang.Throwable` | `getRootCause()` Accesses the rootCause

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### rootCause

    java.lang.Throwable rootCause

Constructor Detail

### IndexException

    public IndexException(java.lang.String message)

  Constructor.

Parameters:
  `message` - Exception message

### IndexException

    public IndexException(java.lang.String message,
                          java.lang.Throwable t)

  Constructor.

Parameters:
  `message` - Exception message

### IndexException

    public IndexException(java.lang.Throwable t)

  Constructor.

Parameters:
  `t` - Exception message

Method Detail

### getRootCause

    public java.lang.Throwable getRootCause()

  Accesses the rootCause

  Returns:
    the rootCause (a Throwable)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD